Page MenuHomePhabricator

"Use this file" does not contain license information
Closed, ResolvedPublic

Description

In the MediaViewer it's made really easy to re-use files from the wiki either on-wiki or using a deep link. It is however not clear what the license is for the file that someone can re-use. To get to know this, a user needs to click some more and look it up by clicking "License information" or on "Learn more on Wikimedia Commons" (which is blocked by the pop-up with the links).

As a re-user, I should be made aware of the license a file has that I want to reuse, so that I can be reasonably informed about the license status of the media file that I'm about to re-use.

A possible solution I see that may be usable, is to provide a title tag with a short license in the field with label "Use this file on another website". For in-wiki links, I think this issue is less pressing, because there's semi-direct access to the file page (see bug 56587).


Version: master
Severity: normal
Whiteboard: gci2013

Details

Reference
bz56588

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:38 AM
bzimport set Reference to bz56588.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Nov 4 2013, 10:16 PM

Thanks for your good suggestion, Siebrand!

I have asked Pau Giner to look at this 'Use this file' panel as his next design task for Media Viewer, so we can address the issue you raised.

It should be possible to address both internal and external sites in the same panel, and I totally agree that we should include the basic license info as part of the embed code for external sites.

The only trick is that we may not be able to include special license info that's stored outside of the standard 'information' template (for 'author, source') or 'license' category. We would like to include this in future releases, but may want to wait until we implement structured data on Commons next year, for practical reasons.

TheDJ added a comment.Nov 5 2013, 1:20 PM

My suggestion:

Add 'copy to clipboard' buttons.

Add appropriate attribution and licensing info in the description, gradually improving it as our metadata API improves.

When pushing copy to clipboard button, present an educational dialog on image reuse, stressing the importance of attribution and licensing. The dialog has a "don't show this again" checkbox, registering the setting in the preferences of the user or in a cookie.

(In reply to comment #2)

My suggestion: Add 'copy to clipboard' buttons.

Doesn't this require a dreaded Flash plugin to work well? (see Gerrit)

Yeah, it does. And we're not going to be pulling Flash dependencies into *this* product.

Over my dead body etc. etc.

(In reply to comment #4)

Over my dead body etc. etc.

Dead bodies are not cool, so let's not do that. I agree that suggestions that require Flash are off the table.

As for the actual suggestion, as long as we have a license that we recognize (i.e. a CC license, but later also PD ones), we can include it in the title attribute of the link in the HTML version of the "use this file" output.

Suuuper easy. :)

Change 99003 had a related patch set uploaded by Yamelnychuk:
"Use this file" does not contain license information

https://gerrit.wikimedia.org/r/99003

An important part of the license information is the name of the author/photographer. I suggest to add its name together with the license.

Change 99003 abandoned by Yamelnychuk:
"Use this file" does not contain license information

Reason:
Problems with merging

https://gerrit.wikimedia.org/r/99003

Change 99533 had a related patch set uploaded by Yamelnychuk:
"Use this file" does not contain license information

https://gerrit.wikimedia.org/r/99533

Change 99533 abandoned by Yamelnychuk:
Included license in the title attribute of the link in "use this file" output.

https://gerrit.wikimedia.org/r/99533

Hi!

Changing the link to

<a title="//LICENSE// (//AUTHOR if available//)" href=[..]<a>

seems like what's currently proposed (based on my reading of this discussion), so that when someone hovers over the image, they would see the licensing information. This obviously won't work for all cases (not in the least!), but is, I suppose, a start in the right direction.

Am I missing anything? Other thoughts? Or should I go ahead and do this?

Change 102595 had a related patch set uploaded by Theopolisme:
Include license in title attribute of link in FileUsageDialog

https://gerrit.wikimedia.org/r/102595

Change 102595 merged by jenkins-bot:
Include license in title attribute of link in FileUsageDialog

https://gerrit.wikimedia.org/r/102595

Assuming this is FIXED as per comment 15.

Gilles raised the priority of this task from Medium to Unbreak Now!.Dec 4 2014, 10:25 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Medium.Dec 4 2014, 11:21 AM